<template>
  <v-btn
    :class="customClass"
    :color="colorString"
    :disabled="errorsCount > 0 || disabledButton"
    :flat="flat"
    :large="large"
    :small="small"
    type="submit"
  >{{ text }}
  </v-btn>
</template>

<script>
  export default {
    name: 'BaseButton',
    props: {
      color: String,
      text: String,
      customClass: String,
      large: Boolean,
      small: Boolean,
      flat: Boolean,
      errorsCount: Number
    },
    computed: {
      disabledButton () {
        return this.$store.state.loading.showLoading
      },
      colorString () {
        return this.color ? this.color : 'primary'
      }
    }
  }
</script>
